Summary:       A Library for handling OpenType Font
Name:          libotf
Version:       0.9.16
Release:       1%{?dist}
License:       LGPLv2+
URL:           http://www.nongnu.org/m17n/
Source0:       http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz

BuildRequires: gcc chrpath freetype-devel libXaw-devel make
Requires:      freetype

%description 
The library "libotf" provides the following facilites. Read Open Type Layout Tables from OTF file.
Currently these tables are supported; head, name, cmap, GDEF, GSUB, and GPOS.  Convert a Unicode
character sequence to a glyph code sequence by using the above tables. The combination of libotf
and the FreeType library (Ver.2) realizes CTL (complex text layout) by OpenType fonts.
This library is currently used by the m17n library. It seems that the probject Free Type Layout
provides the similar (or better) facility as this library, but currently they have not yet released
their library. So, we have developed this one.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}, pkgconfig

%description   devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
for file in %{buildroot}/usr/bin/*; do chrpath -d $file || true; done

(cd example && make clean && rm -rf .deps && rm Makefile)
rm %{buildroot}/usr/bin/libotf-config

%files
%license COPYING
%doc AUTHORS README NEWS
%{_libdir}/*.so.*
%{_bindir}/otfdump
%{_bindir}/otflist
%{_bindir}/otftobdf
%{_bindir}/otfview

%files devel
%doc example
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 0.9.16-1
- Upgrade to version 0.9.16

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.13-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.13-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 0.9.13-1
- initial build
